| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiPython.Bindings.CallbackStreamBuf Class Reference
Inheritance diagram for GaudiPython.Bindings.CallbackStreamBuf:
[legend]
Collaboration diagram for GaudiPython.Bindings.CallbackStreamBuf:
[legend]

## Public Member Functions
def | __init__ (self, callback)

## Public Attributes
| callback

## Private Member Functions
def | _sync (self, string=None)

## Detailed Description

Definition at line 1425 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.CallbackStreamBuf.__init__ | ( |  | self,
|  |  | callback
| ) |  |

Definition at line 1426 of file Bindings.py.

1426 def __init__(self, callback):
1427 _CallbackStreamBufBase.__init__(self, self)
1428 self.callback = callback
1429
GaudiPython.Bindings.CallbackStreamBuf.__init__
def __init__(self, callback)
Definition: Bindings.py:1426
GaudiPython.Bindings.CallbackStreamBuf.callback
callback
Definition: Bindings.py:1428

## Member Function Documentation

def GaudiPython.Bindings.CallbackStreamBuf._sync | ( |  | self,
|  |  | string = `None`
| ) |  |
| private

Definition at line 1430 of file Bindings.py.

1430 def _sync(self, string=None):
1431 if not string:
1432 return 0
1433 self.callback(string)
1434 return 0
1435
1436
1437 # ----PyAlgorithm--------------------------------------------------------------
1438 # Used to implement Algorithms in Python
GaudiPython.Bindings.CallbackStreamBuf._sync
def _sync(self, string=None)
Definition: Bindings.py:1430
GaudiPython.Bindings.CallbackStreamBuf.callback
callback
Definition: Bindings.py:1428

## Member Data Documentation

GaudiPython.Bindings.CallbackStreamBuf.callback

Definition at line 1428 of file Bindings.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py